# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/reset/starfive,jh7100-reset.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: StarFive JH7100 SoC Reset Controller Device Tree Bindings

maintainers:
  - Emil Renner Berthing <kernel@esmil.dk>

properties:
  compatible:
    enum:
      - starfive,jh7100-reset

  reg:
    maxItems: 1

  "#reset-cells":
    const: 1

required:
  - compatible
  - reg
  - "#reset-cells"

additionalProperties: false

examples:
  - |
    reset-controller@11840000 {
        compatible = "starfive,jh7100-reset";
        reg = <0x11840000 0x10000>;
        #reset-cells = <1>;
    };

...
